from .core_analysis import (core_analysis)

class Transcriptor:
    def __init__(self, file, log_folder, language, voices_folder=None):
        '''
        supported languages:  
        ['english', 
        'chinese', 
        'german', 
        'spanish', 
        'russian', 
        'korean', 
        'french', '
        japanese', 
        'portuguese', 
        'turkish', 
        'polish', 
        'catalan', 
        'dutch', 
        'arabic', 
        'swedish', 
        'italian', 
        'indonesian', 
        'hindi', 
        'finnish', 
        'vietnamese', 
        'hebrew', 
        'ukrainian', 
        'greek', 
        'malay', 
        'czech', 
        'romanian', 
        'danish', 
        'hungarian', 
        'tamil', 
        'norwegian', 
        'thai', 
        'urdu', 
        'croatian', 
        'bulgarian', 
        'lithuanian', 
        'latin', 
        'maori', 
        'malayalam', 
        'welsh', 
        'slovak', 
        'telugu', 
        'persian', 
        'latvian', 
        'bengali', 
        'serbian', 
        'azerbaijani', 
        'slovenian', 
        'kannada', 
        'estonian', 
        'macedonian', 
        'breton', 
        'basque', 
        'icelandic', 
        'armenian', 
        'nepali', 
        'mongolian', 
        'bosnian', 
        'kazakh', 
        'albanian', 
        'swahili', 
        'galician', 
        'marathi', 
        'punjabi', 
        'sinhala', 
        'khmer', 
        'shona', 
        'yoruba', 
        'somali', 
        'afrikaans', 
        'occitan', 
        'georgian', 
        'belarusian', 
        'tajik', 
        'sindhi', 
        'gujarati', 
        'amharic', 
        'yiddish', 
        'lao', 
        'uzbek', 
        'faroese', 
        'haitian creole', 
        'pashto', 
        'turkmen', 
        'nynorsk', 
        'maltese', 
        'sanskrit', 
        'luxembourgish', 
        'myanmar', 
        'tibetan', 
        'tagalog', 
        'malagasy', 
        'assamese', 
        'tatar', 
        'hawaiian', 
        'lingala', 
        'hausa', 
        'bashkir', 
        'javanese', 
        'sundanese', 
        'burmese', 
        'valencian', 
        'flemish', 
        'haitian', 
        'letzeburgesch', 
        'pushto', 
        'panjabi', 
        'moldavian', 
        'moldovan', 
        'castilian']
        '''
        self.file = file
        self.voices_folder = voices_folder
        self.language = language
        self.log_folder = log_folder

    def transcribe(self):
        res = core_analysis(self.file, self.voices_folder, self.log_folder, self.language)
        return res
